ranges::actions::action_closure_base Struct Reference
Inheritance diagram for ranges::actions::action_closure_base:

## Friends

template<typename ActionFn , typename Pipeable >
constexpr friend auto | operator| (action_closure< ActionFn > act, Pipeable pipe) -> action_closure< composed< Pipeable, ActionFn >> requires `(is_pipeable_v< Pipeable >)
template<typename Rng , typename ActionFn >
constexpr friend auto | operator| (Rng &, action_closure< ActionFn > const &) -> Rng requires ` range< Rng >=delete
template<typename Rng , typename ActionFn >
constexpr friend auto | operator|= (Rng &rng, action_closure< ActionFn > act) -> Rng &requires ` range< Rng > &&invocable< ActionFn, Rng & >

## Public Member Functions

| template (typename Rng, typename ActionFn)(requires `(!std

## Member Function Documentation

## template()

ranges::actions::action_closure_base::template | ( | typename Rng | ,
|  | typename ActionFn |
| ) |  |

Precondition